Package: groovy.org.codenarc.ant

## [Groovy] Class Report

- groovy.org.codenarc.ant.Report

- JavaBean class holding the properties for a <report> element with the CodeNarc Ant Task.

  See Also:
    CodeNarcTask
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Map` | `options`
    `String` | `title` @deprecated Use option elements instead
    `String` | `toFile` @deprecated Use option elements instead
    `String` | `type`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addConfiguredOption(ReportOption option)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### final Map options

    - #### String title

      deprecated:
        Use option elements instead

    - #### String toFile

      deprecated:
        Use option elements instead

    - #### String type

  - ### Method Detail

    - #### void addConfiguredOption(ReportOption option)